Tspi_GetPolicyObject(3)

TCG Software Stack Developers Reference

NAME
Tspi_GetPolicyObject - get a policy object assigned to a working object

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_GetPolicyObject(TSS_HOBJECT  hObject, TSS_FLAG policyType,
                                TSS_HPOLICY* phPolicy);

DESCRIPTION

Tspi_GetPolicyObject returns a policy object currently assigned to a working object. If you determine that the policy is different from what you require, you can change the policy by creating a new one and using Tspi_Policy_AssignToObject.

PARAMETERS

  hObject
The hObject parameter is the handle of the object.

  policyType
The policyType parameter indicates the policy type of interest. Types are TSS_POLICY_USAGE and TSS_POLICY_MIGRATION.

  phPolicy
The phPolicy parameter receives the handle to the assigned policy object.

RETURN CODES

Tspi_GetPolicyObject returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hContext is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_GetPolicyObject conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_GetTpmObject(3), Tspi_Context_LoadKeyByUUID(3), Tspi_SetAttribUint32(3), Tspi_Policy_AssignToObject(3).